package com.xyzc.start.domain.vo;

import lombok.Data;

/**
 * 会员卡使用详情
 *
 * @author 杨兴卓
 */
@Data
public class MemberCardUseDetail {

    /**
     * 模型id
     */
    private Long modelId;

    /**
     * 模型名称
     */
    private String modelName;

    /**
     * 模型使用次数
     */
    private Integer useCount;

    /**
     * 模型使用次数单位, 0-天，1-周，2-月，3-季
     */
    private Integer unit;

    /**
     * 当前模型已使用次数
     */
    private Integer alreadyUseCount;

}
