package com.xyzc.start.service;


import com.xyzc.common.core.utils.Result;
import com.xyzc.start.domain.BaseUserPhotoFolder;
import com.xyzc.start.domain.ComfyuiUserWorkflow;
import com.xyzc.start.domain.bo.AgentCardSecretBo;
import com.xyzc.start.domain.bo.ComfyuiUserWorkflowBo;
import com.xyzc.start.domain.bo.HobbyBo;
import com.xyzc.start.domain.vo.*;
import org.springframework.web.bind.annotation.RequestParam;

import java.text.ParseException;
import java.util.List;

public interface IComfyUIService {

    void quartz2ComfyUI();

    /**
     * 查询工作流的图片模板
     */
    List<ComfyuiWorkflowVo> queryAllWorkflow();

    /**
     * 查询工作流的图片模板
     */
    List<BaseUserPhotoFolder> comfyUIGeneratPic(BaseUserPhotoFolder baseUserPhotoFolder) throws ParseException;
    List<BaseUserPhotoFolder> sdGeneratePic(BaseUserPhotoFolder baseUserPhotoFolder);

    void updatePromtId(Long userId, String minioUrl, String promptId);

}
