package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * comfyui模型对象 xy_comfyui_model
 *
 * @author wyz
 * @date 2024-08-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_comfyui_model")
public class ComfyuiModel extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id")
    private Integer id;

    /**
     * 工作流类型
     */
    private Integer picType;

    /**
     * 工作流模型描述
     */
    private String picDesc;

    /**
     * 模型名称
     */
    private String modelName;

    /**
     * 模型存放地址
     */
    private String modelDir;

    /**
     * 备注
     */
    private String remark;


}
