package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.Career;
import io.github.linpeilie.annotations.AutoMapper;
import io.github.linpeilie.annotations.AutoMapping;
import lombok.Data;

@Data
@AutoMapper(target = Career.class)
public class CareerVo {

    /**
     * 职业id
     */
    @AutoMapping(target = "id")
    private Long id;

    /**
     * 职业名称
     */
    private String careerName;

    /**
     * 所属的行业id
     */
    private Long industryId;

    /**
     * 排序
     */
    private Integer sort;

}
