package com.xyzc.start.service;

import com.xyzc.start.domain.vo.DrawAssistantVo;
import com.xyzc.start.domain.vo.DrawPromptConfigVo;

import java.util.List;

public interface IDrawAssistantService {

    /**
     * 查询所有的助手列表
     *
     * @return
     */
    List<DrawAssistantVo> queryDrawAssistantList();

    /**
     * 根据助手id分页查询提示词
     * @param assistantId
     * @return
     */
    List<DrawPromptConfigVo> queryDrawPromptConfigList(Integer assistantId, Long promptId, String keyword, Integer length);
}
